AC_DEFUN([NUT_CHECK_LIBOMRONUPS],
[
if test -z "${nut_have_libomronups_seen}"; then
	nut_have_libomronups_seen=yes

	dnl save CFLAGS and LDFLAGS
	CFLAGS_ORIG="${CFLAGS}"
	LDFLAGS_ORIG="${LDFLAGS}"

	AC_MSG_CHECKING(for libomronups cflags)
	AC_ARG_WITH(omronups-includes, [
		AC_HELP_STRING([--with-omronups-includes=CFLAGS], [include flags for the libomronups library])
	], [CFLAGS="${withval}"], [])
	AC_MSG_RESULT([${CFLAGS}])

	AC_MSG_CHECKING(for libomronups ldflags)
	AC_ARG_WITH(omronups-libs, [
		AC_HELP_STRING([--with-omronups-libs=LDFLAGS], [linker flags for the libomronups library])
	], [LDFLAGS="${withval}"], [])
	AC_MSG_RESULT([${LDFLAGS}])

	dnl check if libomronups is usable
	CFLAGS="${CFLAGS} ${LIBUSB_CFLAGS}"
	LDFLAGS="${LDFLAGS} ${LIBUSB_LIBS}"
	AC_CHECK_HEADERS(omronups.h, [nut_have_libomronups=yes], [nut_have_libomronups=no], [AC_INCLUDES_DEFAULT])

	if test "${nut_have_libomronups}" = "yes"; then
		LIBOMRONUPS_CFLAGS="${CFLAGS}"
		LIBOMRONUPS_LDFLAGS="${LDFLAGS}"
	fi

	dnl restore original CFLAGS and LDFLAGS
	CFLAGS="${CFLAGS_ORIG}"
	LDFLAGS="${LDFLAGS_ORIG}"
fi
])
